Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

Usual File.symlink (and ln -s) creates a symbolic link as the given argument.

GNU coreutils ln has -r (--relative) option, which resolves the source path relative to the current directory as relative to the link

location.

$ mkdir src dest

$ echo ok > src/x

$ ln -s src/x dest

$ readlink dest/x 

src/x

$ cat dest/x

cat: dest/x: No such file or directory

$ rm dest/x

$ ln -sr src/x dest

$ readlink dest/x 

../src/x

$ cat dest/x 

ok

Associated revisions

Revision c6330cd32b7d02b4603080a2c53d64be9e05773c - 11/25/2022 01:03 AM - nobu (Nobuyoshi Nakada)

[ruby/fileutils] [Feature #18925] Add ln_sr method and relative: option to ln_s

https://github.com/ruby/fileutils/commit/5116088d5c

Revision c6330cd32b7d02b4603080a2c53d64be9e05773c - 11/25/2022 01:03 AM - nobu (Nobuyoshi Nakada)

[ruby/fileutils] [Feature #18925] Add ln_sr method and relative: option to ln_s

https://github.com/ruby/fileutils/commit/5116088d5c

Revision c6330cd3 - 11/25/2022 01:03 AM - nobu (Nobuyoshi Nakada)

[ruby/fileutils] [Feature #18925] Add ln_sr method and relative: option to ln_s

https://github.com/ruby/fileutils/commit/5116088d5c

Revision 26baf4813e0a717b95860be0d9c71dc7def93643 - 11/25/2022 10:51 AM - nobu (Nobuyoshi Nakada)

[Feature #18925] [DOC] Add FileUtils.ln_sr to NEWS

Revision 26baf4813e0a717b95860be0d9c71dc7def93643 - 11/25/2022 10:51 AM - nobu (Nobuyoshi Nakada)

[Feature #18925] [DOC] Add FileUtils.ln_sr to NEWS

Revision 26baf481 - 11/25/2022 10:51 AM - nobu (Nobuyoshi Nakada)

[Feature #18925] [DOC] Add FileUtils.ln_sr to NEWS

History

#1 - 07/19/2022 08:56 AM - nobu (Nobuyoshi Nakada)

- Description updated

#2 - 07/19/2022 09:06 AM - nobu (Nobuyoshi Nakada)

https://github.com/ruby/fileutils/pull/97
#3 - 11/25/2022 01:04 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset git|c6330cd32b7d02b4603080a2c53d64be9e05773c.

[ruby/fileutils] [Feature #18925] Add ln_sr method and relative: option to ln_s

https://github.com/ruby/fileutils/commit/5116088d5c
